@String{inst-INST-ADV-STUDY     = "Institute for Advanced Study"}
@String{inst-INST-ADV-STUDY:adr = "Princeton, NJ, USA"}

@article{backus-78,
  author    = {John W. Backus},
  title     = {Can Programming Be Liberated From the von Neumann Style?
               A Functional Style and its Algebra of Programs},
  journal   = {Commun. ACM},
  volume    = {21},
  number    = {8},
  year      = {1978},
  pages     = {613-641},
  bibsource = {DBLP, http://dblp.uni-trier.de}
}

@TechReport{prelim-disc,
  author   = {Arthur W. Burks and Herman H. Goldstine and John von Neumann},
  title    = {Preliminary discussion of the logical design of an
                  electronic computing instrument},
  institution =  inst-INST-ADV-STUDY,
  address =      inst-INST-ADV-STUDY:adr,
  pages =        "42",
  year =         "1946"
}

@article{subpop,
  author = {S.E. Eklund},
  title = {A massively parallel GP engine in VLSI},
  journal ={Computational Intelligence, Proceedings of the World on Congress on},
  volume = {1},
  isbn = {0-7803-7282-4},
  year = {2002},
  pages = {629-633},
  doi = {http://doi.ieeecomputersociety.org/10.1109/CEC.2002.1006999},
  publisher = {IEEE Computer Society},
  address = {Los Alamitos, CA, USA},
}

@Book{Holland92a,
	AUTHOR       = "J. H. Holland",
	TITLE        = "Adaptation in Natural and Artificial Systems",
	PUBLISHER    = "MIT Press",
	ADDRESS      = "Cambridge, MA",
	YEAR         = "1992" ,
	NOTE	     = "Second edition (First edition, 1975)"
}

@Book{koza92,
  author = 	 {J.~R. Koza},
  title = 	 {Genetic Programming: On the Programming of Computers by Means of Natural Selection},
  publisher = 	 {MIT Press},
  year = 	 {1992}
}

@Book{fieldguide,
  author =       "Riccardo Poli and William B. Langdon and
                 Nicholas Freitag McPhee",
  title =        "A field guide to genetic programming",
  publisher =    "Published via \texttt{http://lulu.com} and freely
                 available at
                 \texttt{http://www.gp-field-guide.org.uk}",
  year =         "2008",
  note =         "(With contributions by J. R. Koza)",
  URL =          "http://www.gp-field-guide.org.uk",
  keywords =     "genetic algorithms, genetic programming, automatic
                 programming, machine learning, artificial intelligence,
                 evolutionary computation",
  isbn13 =       "978-1-4092-0073-4",
  notes =        "http://www.gp-field-guide.org.uk/",
  size =         "250 pages",
}

@article{parallel-gp,
  author = {Andre, David and Koza, John R.},
  title = {A parallel implementation of genetic programming that achieves super-linear performance},
  journal = {Inf. Sci.},
  volume = {106},
  number = {3-4},
  year = {1998},
  issn = {0020-0255},
  pages = {201--218},
  doi = {http://dx.doi.org/10.1016/S0020-0255(97)10011-1},
  publisher = {Elsevier Science Inc.},
  address = {New York, NY, USA},
}

@article{free-lunch,
    author = {Sutter, Herb},
    journal = {Dr. Dobb's Journal},
    number = {3},
    title = {The Free Lunch Is Over: A Fundamental Turn Toward Concurrency in Software},
    volume = {30},
    year = {2005},
    doi = {http://www.gotw.ca/publications/concurrency-ddj.htm},
    note = {http://www.gotw.ca/publications/concurrency-ddj.htm}
}

@MISC{liquidware,
      AUTHOR = "liquidware.com",
      TITLE = "The liquidware.com Shop",
       MONTH = "July",
      YEAR = 2010,
     HOWPUBLISHED = {http://liquidware.com/shop}
}

@Book{montata-grav,
  author="Arthur A. Bookstrom, Gary L. Raines and Bruce R. Johnson",
  title="Montana state geologic map: a contribution to the Interior Columbia River Basin Ecosystem Management Project",
  year=1995,
  publisher = {U.S. Dept. of the Interior, U.S. Geological Survey},
  report={95-681},
  pages=19,
  note={http://pubs.usgs.gov/of/1995/of95-681/}
}
                  


@inproceedings{interaction-frequency,
 author = {Elena Popovici and Kenneth {De Jong}},
 title = {The effects of interaction frequency on the optimization performance of cooperative coevolution},
 booktitle = {{GECCO 2006:} Proceedings of the 8th annual conference on Genetic and evolutionary computation},
 year = {2006},
 editor = {Maarten Keijzer and Mike Cattolico and Dirk Arnold and Vladan Babovic and Christian Blum and Peter Bosman and Martin V. Butz and Carlos {Coello Coello} and Dipankar Dasgupta and Sevan G. Ficici and James Foster and Arturo Hernandez-Aguirre and Greg Hornby and Hod Lipson and Phil McMinn and Jason Moore and Guenther Raidl and Franz Rothlauf and Conor Ryan and Dirk Thierens},
 volume = {1},
 isbn = {1-59593-186-4},
 pages = {353--360},
 address = {Seattle, Washington, USA},
url = {http://www.cs.bham.ac.uk/~wbl/biblio/gecco2006/docs/p353.pdf},
 doi = {doi:10.1145/1143997.1144061},
 publisher = {ACM Press},
 publisher_address = {New York, NY, 10286-1405, USA},
 month = {8-12 July},
  organisation = {ACM SIGEVO (formerly ISGEC)},
 note = {},
 keywords = {Coevolution, cooperative coevolution, dynamics},
  size = 	{},
  abstract =	{},
 notes = {GECCO-2006 A joint meeting of the fifteenth international conference on genetic algorithms (ICGA-2006) and the eleventh annual genetic programming conference (GP-2006).

ACM Order Number 910060}
}
                  
@PhdThesis{demes,
 author = {R. J. Collins},
 title = {Studies in Artificial Evolution},
 school = {UCLA, Artificial Life Laboratory, Department of Computer Science, University of California, Los Angeles},
 year = {1992},
}

@book{stender,
 author = {Stender, Joachim},
 title = {Parallel Genetic Algorithms: Theory and Applications},
 year = {1993},
 isbn = {9051990871},
 edition = {1st},
 publisher = {IOS Press},
 address = {Amsterdam, The Netherlands, The Netherlands},
}
                  
@phdthesis{potter,
  Address =	 {Fairfax, VA},
  Author =	 {Mitchell A. Potter},
  Download1 =
                  {Abstract,http://www.cs.gmu.edu/~mpotter/dissertation.html},
  Download2 =	 {Downloading
                  Instructions,http://www.cs.gmu.edu/~mpotter/dissertation.html},
  School =	 {George Mason University},
  Title =	 {The Design and Analysis of a Computational Model of
                  Cooperative Coevolution},
  Year =	 1997
}

@InProceedings{beowulf,
  author =       "Thomas Sterling",
  title =        "Beowulf-class Clustered Computing: Harnessing the
                 Power of Parallelism in a Pile of {PC}s",
  booktitle =    "Genetic Programming 1998: Proceedings of the Third
                 Annual Conference",
  year =         "1998",
  editor =       "John R. Koza and Wolfgang Banzhaf and Kumar
                 Chellapilla and Kalyanmoy Deb and Marco Dorigo and
                 David B. Fogel and Max H. Garzon and David E. Goldberg
                 and Hitoshi Iba and Rick Riolo",
  pages =        "883",
  address =      "University of Wisconsin, Madison, Wisconsin, USA",
  publisher_address = "San Francisco, CA, USA",
  month =        "22-25 " # jul,
  note =         "Invited talk",
  publisher =    "Morgan Kaufmann",
  ISBN =         "1-55860-548-7",
  notes =        "GP-98",
}

@InProceedings{poli:1999:22par,
  author =       "Riccardo Poli and Jonathan Page and W. B. Langdon",
  title =        "Smooth Uniform Crossover, Sub-Machine Code {GP} and
                 Demes: {A} Recipe For Solving High-Order Boolean Parity
                 Problems",
  booktitle =    "Proceedings of the Genetic and Evolutionary
                 Computation Conference",
  year =         "1999",
  editor =       "Wolfgang Banzhaf and Jason Daida and Agoston E. Eiben
                 and Max H. Garzon and Vasant Honavar and Mark Jakiela
                 and Robert E. Smith",
  volume =       "2",
  pages =        "1162--1169",
  address =      "Orlando, Florida, USA",
  publisher_address = "San Francisco, CA 94104, USA",
  month =        "13-17 " # jul,
  publisher =    "Morgan Kaufmann",
  keywords =     "genetic algorithms, genetic programming",
  ISBN =         "1-55860-611-4",
  URL =          "http://www.cs.bham.ac.uk/~wbl/biblio/gecco1999/GP-466.pdf",
  URL =          "http://www.cs.bham.ac.uk/~wbl/biblio/gecco1999/GP-466.ps",
  URL =          "http://www.cs.essex.ac.uk/staff/poli/papers/Poli-GECCO1999.pdf",
  notes =        "GECCO-99, part of \cite{banzhaf:1999:gecco99}, see
                 also \cite{poli:2000:22par} \cite{poli:1999:22parTR} A
                 joint meeting of the eighth international conference on
                 genetic algorithms (ICGA-99) and the fourth annual
                 genetic programming conference (GP-99)

                 Also known as \cite{poli:1999:SUCSCGDARFSHBPP}",
}

@InProceedings{langdon:2005:metas,
  author =       "W. B. Langdon",
  title =        "Pfeiffer -- {A} Distributed Open-ended Evolutionary
                 System",
  booktitle =    "AISB'05: Proceedings of the Joint Symposium on
                 Socially Inspired Computing (METAS 2005)",
  year =         "2005",
  editor =       "Bruce Edmonds and Nigel Gilbert and Steven Gustafson
                 and David Hales and Natalio Krasnogor",
  pages =        "7--13",
  address =      "University of Hertfordshire, Hatfield, UK",
  month =        "12-15 " # apr,
  organisation = "AISB",
  note =         "SSAISB 2005 Convention",
  keywords =     "genetic algorithms, genetic programming",
  URL =          "http://www.cs.ucl.ac.uk/staff/W.Langdon/ftp/papers/wbl_metas2005.pdf",
  size =         "7 pages",
  abstract =     "Pfeiffer contains a population of fractals which has
                 been evolving continuously for more than three years.
                 The animations are developed from embryos using a
                 Lindenmayer grammar (L-System). These open generative
                 representations potentially allow gene duplication and
                 the evolution of higher order genetic operators and
                 might be a step towards the emergence of social
                 intelligence in swarms of artificial life (alife)
                 agents. The fitness function is simply do the snowflake
                 patterns appeal to the users: interactive evolution
                 (IEC). To this end, images are placed in animated snow
                 globes (computerised snowstorms) by world wide web
                 (www) browsers (Netscape, Mozilla, Internet Explorer,
                 Firefox, etc.) anywhere on the planet. More than 600
                 people have used
                 http://www.cs.ucl.ac.uk/staff/W.Langdon/pfeiffer.html.",
  notes =        "METAS is a one-day symposium (12 April) run by Natalio
                 Krasnogor and Steven Gustafson, in the joint-symposium
                 ``Socially Inspired Computing'', in the AISB 2005
                 Convention ``Social Intelligence and Interaction in
                 Animals, Robots and Agents''.
                 http://aisb2005.feis.herts.ac.uk/",
}

@InProceedings{andre:1995:parallel,
  author =       "David Andre and John R. Koza",
  title =        "Parallel Genetic Programming on a Network of
                 Transputers",
  booktitle =    "Proceedings of the Workshop on Genetic Programming:
                 From Theory to Real-World Applications",
  year =         "1995",
  editor =       "Justinian P. Rosca",
  pages =        "111--120",
  address =      "Tahoe City, California, USA",
  month =        "9 " # jul,
  keywords =     "genetic algorithms, genetic programming",
  size =         "10 pages",
  notes =        "like \cite{Koza:1995:pGPnt} part of
                 \cite{rosca:1995:ml}",
}
